<?php
/**
* Android Wear 
* @package project
* @author Wizard <sergejey@gmail.com>
* @copyright http://majordomo.smartliving.ru/ (c)
* @version 0.1 (wizard, 12:08:01 [Aug 28, 2021])
*/
//
//
class android_wear extends module {
/**
* android_wear
*
* Module class constructor
*
* @access private
*/
function __construct() {
  $this->name="android_wear";
  $this->title="Android Wear";
  $this->module_category="<#LANG_SECTION_APPLICATIONS#>";
  $this->checkInstalled();
}
/**
* saveParams
*
* Saving module parameters
*
* @access public
*/
function saveParams($data=1) {
 $p=array();
 if (IsSet($this->id)) {
  $p["id"]=$this->id;
 }
 if (IsSet($this->view_mode)) {
  $p["view_mode"]=$this->view_mode;
 }
 if (IsSet($this->edit_mode)) {
  $p["edit_mode"]=$this->edit_mode;
 }
 if (IsSet($this->tab)) {
  $p["tab"]=$this->tab;
 }
 return parent::saveParams($p);
}
/**
* getParams
*
* Getting module parameters from query string
*
* @access public
*/
function getParams() {
  global $id;
  global $mode;
  global $view_mode;
  global $edit_mode;
  global $tab;
  if (isset($id)) {
   $this->id=$id;
  }
  if (isset($mode)) {
   $this->mode=$mode;
  }
  if (isset($view_mode)) {
   $this->view_mode=$view_mode;
  }
  if (isset($edit_mode)) {
   $this->edit_mode=$edit_mode;
  }
  if (isset($tab)) {
   $this->tab=$tab;
  }
}
/**
* Run
*
* Description
*
* @access public
*/
function run() {
 global $session;
  $out=array();
  if ($this->action=='admin') {
   $this->admin($out);
  } else {
   $this->usual($out);
  }
  if (IsSet($this->owner->action)) {
   $out['PARENT_ACTION']=$this->owner->action;
  }
  if (IsSet($this->owner->name)) {
   $out['PARENT_NAME']=$this->owner->name;
  }
  $out['VIEW_MODE']=$this->view_mode;
  $out['EDIT_MODE']=$this->edit_mode;
  $out['MODE']=$this->mode;
  $out['ACTION']=$this->action;
  $out['TAB']=$this->tab;
  $this->data=$out;
  $p=new parser(DIR_TEMPLATES.$this->name."/".$this->name.".html", $this->data, $this);
  $this->result=$p->result;
}
/**
* BackEnd
*
* Module backend
*
* @access public
*/
function admin(&$out) {
 if (isset($this->data_source) && !$_GET['data_source'] && !$_POST['data_source']) {
  $out['SET_DATASOURCE']=1;
 }
 if ($this->data_source=='android_wear_items' || $this->data_source=='') {
  if ($this->view_mode=='' || $this->view_mode=='search_android_wear_items') {
   $this->search_android_wear_items($out);
  }
  if ($this->view_mode=='edit_android_wear_items') {
   $this->edit_android_wear_items($out, $this->id);
  }
  if ($this->view_mode=='delete_android_wear_items') {
   $this->delete_android_wear_items($this->id);
   $this->redirect("?");
  }
 }
}
/**
* FrontEnd
*
* Module frontend
*
* @access public
*/
function usual(&$out) {
 $this->admin($out);
}
/**
* android_wear_items search
*
* @access public
*/
 function search_android_wear_items(&$out) {
  require(dirname(__FILE__).'/android_wear_items_search.inc.php');
 }
/**
* android_wear_items edit/add
*
* @access public
*/
 function edit_android_wear_items(&$out, $id) {
  require(dirname(__FILE__).'/android_wear_items_edit.inc.php');
 }
/**
* android_wear_items delete record
*
* @access public
*/
 function delete_android_wear_items($id) {
  $rec=SQLSelectOne("SELECT * FROM android_wear_items WHERE ID='$id'");
  // some action for related tables
  SQLExec("DELETE FROM android_wear_items WHERE ID='".$rec['ID']."'");
 }
 function propertySetHandle($object, $property, $value) {
   $table='android_wear_items';
   $properties=SQLSelect("SELECT ID FROM $table WHERE LINKED_OBJECT LIKE '".DBSafe($object)."' AND LINKED_PROPERTY LIKE '".DBSafe($property)."'");
   $total=count($properties);
   if ($total) {
    for($i=0;$i<$total;$i++) {
     //to-do
    }
   }
 }
/**
* Install
*
* Module installation routine
*
* @access private
*/
 function install($data='') {
  parent::install();
 }
/**
* Uninstall
*
* Module uninstall routine
*
* @access public
*/
 function uninstall() {
  SQLExec('DROP TABLE IF EXISTS android_wear_items');
  SQLExec('DROP TABLE IF EXISTS android_wear_fcm');
  parent::uninstall();
 }
/**
* dbInstall
*
* Database installation routine
*
* @access private
*/
 function dbInstall($data) {
/*
android_wear_items - 
*/
  $data = <<<EOD
 android_wear_items: ID int(10) unsigned NOT NULL auto_increment
 android_wear_items: MENU_ID varchar(30) NOT NULL DEFAULT ''
 android_wear_items: ITEM_TYPE varchar(30) NOT NULL DEFAULT ''
 android_wear_items: TITLE varchar(100) NOT NULL DEFAULT ''
 android_wear_items: ENABLE_CONDITION text
 android_wear_items: NOTE text
 android_wear_items: ON_CLICK text
 android_wear_items: ORDER_VALUE int(10)
 android_wear_items: USE_LARGE_IMAGE int(1)
 
 android_wear_fcm: ID varchar(100) NOT NULL DEFAULT '' PRIMARY KEY
 android_wear_fcm: TOKEN varchar(255) NOT NULL DEFAULT ''
EOD;
  parent::dbInstall($data);
 }
// --------------------------------------------------------------------
}
/*
*
* TW9kdWxlIGNyZWF0ZWQgQXVnIDI4LCAyMDIxIHVzaW5nIFNlcmdlIEouIHdpemFyZCAoQWN0aXZlVW5pdCBJbmMgd3d3LmFjdGl2ZXVuaXQuY29tKQ==
*
*/
